Wesnoth 0.9.2

Get help with compiling or installing the game, and discuss announcements of new official releases.

Moderators: Forum Moderators, Developers

Post Reply
Rothrorn
Posts: 110
Joined: April 26th, 2004, 8:03 am

Post by Rothrorn »

Just an update to yesterdays post. I tried the changing the seed of evil cfg as suggested on the other thread but 0.9.2 just quits after launching. I guess we will just have to wait for 0.9.3 and Sithrandel to work his magic.
Rothrorn the Wise

User avatar
ivanovic
Lord of Translations
Posts: 1147
Joined: September 28th, 2004, 10:10 pm
Location: Germany

Post by ivanovic »

@ Rothrorn:
This problem is not related to the build, it is related to the campaign. If you really want to play this one, you need to use 0.9.1 until it is completely changed so that it works with 0.9.2. 0.9.3 won't change anything in the behaviour of the campaign. This is connected to changes to the parser, that are (for the moment at least) completed by now.
An other option of being able to play wesnoth is to simply delete that campaign. Than the maingame will work.

lotusleaf
Posts: 2
Joined: June 14th, 2005, 10:59 pm
Contact:

Post by lotusleaf »

I hope this post is of benefit to someone. There's binaries for Wesnoth 0.9.2 for Ubuntu (Hoary) which can be found linked within this thread on Ubuntu's forums. If you're impatient, here are the direct download links from the thread:

http://sethkinast.com/ubuntu/hoary/back ... 1_i386.deb
http://sethkinast.com/ubuntu/hoary/back ... p1_all.deb
http://sethkinast.com/ubuntu/hoary/back ... 1_i386.deb
http://sethkinast.com/ubuntu/hoary/back ... p1_all.deb
http://sethkinast.com/ubuntu/hoary/back ... p1_all.deb
http://sethkinast.com/ubuntu/hoary/back ... p1_all.deb
http://sethkinast.com/ubuntu/hoary/back ... 1_i386.deb
http://sethkinast.com/ubuntu/hoary/back ... p1_all.deb
http://sethkinast.com/ubuntu/hoary/back ... p1_all.deb
http://sethkinast.com/ubuntu/hoary/back ... p1_all.deb

If you have any questions about the above linked binaries, please contact the admin of that domain, not me, as I didn't/don't build/host them. :-) Wesnoth rocks, btw! Hello everyone here on the forums. :)

Taurus
Inactive Developer
Posts: 674
Joined: May 4th, 2005, 8:16 pm
Location: Canada

Post by Taurus »

I am using Mac 10.3.4 and I am haveing the same problem with penguin's version as everyone else. Open it and it bounces once or twice on the bar and then poof! Gone, no error message or anything. I am downloading scott's version right now.
Creater of the campaign, "Northern Rebirth"

Compleater of the campaign, "Son of the Black Eye"

User avatar
ivanovic
Lord of Translations
Posts: 1147
Joined: September 28th, 2004, 10:10 pm
Location: Germany

Post by ivanovic »

@Taurus:
You do need the most recent version (>=10.3.9) to be able to start it. There were changes to the libs. If you simply use the softwareupdate in your OS it will be working.

RequiemOfReason
Posts: 29
Joined: April 30th, 2005, 1:24 am

Post by RequiemOfReason »

So I take it we won't be getting a 0.9.2 for Mac OS 10.2.8, then?
Reality is an escape for people who can't face dreams...
And no, that's not by Antoine de Saint-Exupéry

ott
Inactive Developer
Posts: 838
Joined: September 28th, 2004, 10:20 am

Post by ott »

I think we should be seeing the next release built by Sithrandel again (which should work on 10.2 to 10.4), assuming he has managed to wrestle Xcode 2.1 into submission. Otherwise, I'll look at how to build a static binary again.
This quote is not attributable to Antoine de Saint-Exupéry.

RequiemOfReason
Posts: 29
Joined: April 30th, 2005, 1:24 am

Post by RequiemOfReason »

I certainly hope so. Sithradel rocks!
Reality is an escape for people who can't face dreams...
And no, that's not by Antoine de Saint-Exupéry

Post Reply